### Method

# Gtk Snapshotpush_stroke

since: 4.14

#### Declaration [src]

    void
    gtk_snapshot_push_stroke (
      GtkSnapshot* snapshot,
      GskPath* path,
      const GskStroke* stroke
    )

#### Description [src]

Strokes the given `path` with the attributes given by `stroke` and an image.

The image is recorded until the next call to `gtk_snapshot_pop()`.

Note that the strokes are subject to the same transformation as everything else, so uneven scaling will cause horizontal and vertical strokes to have different widths.

If you want to stroke the path with a color, `gtk_snapshot_append_stroke()` may be more convenient.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path to stroke.

  The data is owned by the caller of the method.

`stroke`

  Type: `GskStroke`

  The stroke attributes.

  The data is owned by the caller of the method.